package org.project.entity.enemies;

import org.project.item.weapons.Weapon;

public class Dragon extends Enemy {

    public Dragon(Weapon weapon) {
        super("Furious Dragon", 300, 100, weapon, 0.0);
        this.xpReward = 200;
        this.coinReward = 150;
    }

    @Override
    public int choice() {
        double roll = Math.random();

        if (this.getStamina() >= 30) {
            if (roll < 0.3) {return 1;}
            else if (roll < 0.7) {return 2;}
            else if (roll < 0.8) {return 3;}
            else {return 4;}
        } else if (this.getStamina() >= this.weapon.getStaminaCost()) {
            if (roll < 0.4) {return 1;}
            else if (roll < 0.9) {return 2;}
            else {return 3;}
        } else {
            return 1;
        }
    }

}
